package ink.wgink.module.activiti.enums.oa.field;

/**
 * @ClassName: FieldBackFillEnum
 * @Description: 字段回填
 * @Author: wanggeng
 * @Date: 2022/5/11 17:38
 * @Version: 1.0
 */
public enum FieldBackFillEnum {

    NO_BACK_FILL("noBackFill", "不回填"),
    CURRENT_USER_NAME("currentUserName", "当前用户昵称"),
    CURRENT_USER_DEPARTMENT("currentUserDepartment", "当前用户部门");

    private String value;
    private String text;

    FieldBackFillEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
